Jack::JackTimer Class Reference

A structure used for time management. More...

`#include <JackFrameTimer.h>`

## Public Member Functions

jack_nframes_t | Time2Frames (jack_time_t time, jack_nframes_t buffer_size)
jack_time_t | Frames2Time (jack_nframes_t frames, jack_nframes_t buffer_size)
jack_nframes_t | FramesSinceCycleStart (jack_time_t cur_time, jack_nframes_t frames_rate)
int | GetCycleTimes (jack_nframes_t *current_frames, jack_time_t *current_usecs, jack_time_t *next_usecs, float *period_usecs)
jack_nframes_t | CurFrame ()
jack_time_t | CurTime ()

## Friends

class | JackFrameTimer

## Detailed Description

A structure used for time management.

Definition at line 36 of file JackFrameTimer.h.

The documentation for this class was generated from the following files:

- JackFrameTimer.h
- JackFrameTimer.cpp